Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 4147)
@@ -56,14 +56,14 @@
     LOGICAL, PUBLIC, PARAMETER :: lk_asminc = .FALSE.  !: No assimilation increments
 #endif
-   LOGICAL, PUBLIC :: ln_bkgwri = .FALSE. !: No output of the background state fields
-   LOGICAL, PUBLIC :: ln_asmiau = .FALSE. !: No applying forcing with an assimilation increment
-   LOGICAL, PUBLIC :: ln_asmdin = .FALSE. !: No direct initialization
-   LOGICAL, PUBLIC :: ln_trainc = .FALSE. !: No tracer (T and S) assimilation increments
-   LOGICAL, PUBLIC :: ln_dyninc = .FALSE. !: No dynamics (u and v) assimilation increments
-   LOGICAL, PUBLIC :: ln_sshinc = .FALSE. !: No sea surface height assimilation increment
-   LOGICAL, PUBLIC :: ln_seaiceinc = .FALSE. !: No sea ice concentration increment
-   LOGICAL, PUBLIC :: ln_salfix = .FALSE. !: Apply minimum salinity check
+   LOGICAL, PUBLIC :: ln_bkgwri     !: No output of the background state fields
+   LOGICAL, PUBLIC :: ln_asmiau     !: No applying forcing with an assimilation increment
+   LOGICAL, PUBLIC :: ln_asmdin     !: No direct initialization
+   LOGICAL, PUBLIC :: ln_trainc     !: No tracer (T and S) assimilation increments
+   LOGICAL, PUBLIC :: ln_dyninc     !: No dynamics (u and v) assimilation increments
+   LOGICAL, PUBLIC :: ln_sshinc     !: No sea surface height assimilation increment
+   LOGICAL, PUBLIC :: ln_seaiceinc  !: No sea ice concentration increment
+   LOGICAL, PUBLIC :: ln_salfix     !: Apply minimum salinity check
    LOGICAL, PUBLIC :: ln_temnofreeze = .FALSE. !: Don't allow the temperature to drop below freezing
-   INTEGER, PUBLIC :: nn_divdmp = 0       !: Apply divergence damping filter nn_divdmp times
+   INTEGER, PUBLIC :: nn_divdmp     !: Apply divergence damping filter nn_divdmp times
 
    REAL(wp), PUBLIC, DIMENSION(:,:,:), ALLOCATABLE ::   t_bkg   , s_bkg      !: Background temperature and salinity
@@ -120,4 +120,5 @@
       INTEGER :: iitiaustr_date  ! Date YYYYMMDD of IAU interval start time step
       INTEGER :: iitiaufin_date  ! Date YYYYMMDD of IAU interval final time step
+      INTEGER :: ios             ! Local integer output status for namelist read
 
       REAL(wp) :: znorm        ! Normalization factor for IAU weights
@@ -143,23 +144,15 @@
       !-----------------------------------------------------------------------
 
-      ! Set default values
-      ln_bkgwri = .FALSE.
-      ln_trainc = .FALSE.
-      ln_dyninc = .FALSE.
-      ln_sshinc = .FALSE.
       ln_seaiceinc = .FALSE.
-      ln_asmdin = .FALSE.
-      ln_asmiau = .TRUE.
-      ln_salfix = .FALSE.
       ln_temnofreeze = .FALSE.
-      salfixmin = -9999
-      nitbkg    = 0
-      nitdin    = 0      
-      nitiaustr = 1
-      nitiaufin = 150      ! = 10 days with ORCA2
-      niaufn    = 0
-
-      REWIND ( numnam )
-      READ   ( numnam, nam_asminc )
+
+      REWIND( numnam_ref )              ! Namelist nam_asminc in reference namelist : Assimilation increment
+      READ  ( numnam_ref, nam_asminc, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_asminc in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist nam_asminc in configuration namelist : Assimilation increment
+      READ  ( numnam_cfg, nam_asminc, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_asminc in configuration namelist', lwp )
+      WRITE ( numond, nam_asminc )
 
       ! Control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 4147)
@@ -355,4 +355,5 @@
       !!
       INTEGER     ::  ib_bdy, jfld, jstart, jend, ierror  ! local indices
+      INTEGER      ::   ios                               ! Local integer output status for namelist read
       !!
       CHARACTER(len=100)                     ::   cn_dir        ! Root directory for location of data files
@@ -440,29 +441,16 @@
       ! Read namelists
       ! --------------
-      REWIND(numnam)
+      REWIND(numnam_ref)
+      REWIND(numnam_cfg)
       jfld = 0 
       DO ib_bdy = 1, nb_bdy         
          IF( nn_dta(ib_bdy) .eq. 1 ) THEN
-            ! set file information
-            cn_dir = './'        ! directory in which the model is executed
-            ln_full_vel = .false.
-            ! ... default values (NB: frequency positive => hours, negative => months)
-            !                    !  file       ! frequency !  variable   ! time intep !  clim   ! 'yearly' or ! weights  ! rotation  !
-            !                    !  name       ! hours !   name     !  (T/F)  !  (T/F)  !  'monthly'  ! filename ! pairs     !
-            bn_ssh     = FLD_N(  'bdy_ssh'     ,  24   , 'sossheig' , .false. , .false. ,   'yearly'  , ''       , ''        )
-            bn_u2d     = FLD_N(  'bdy_vel2d_u' ,  24   , 'vobtcrtx' , .false. , .false. ,   'yearly'  , ''       , ''        )
-            bn_v2d     = FLD_N(  'bdy_vel2d_v' ,  24   , 'vobtcrty' , .false. , .false. ,   'yearly'  , ''       , ''        )
-            bn_u3d     = FLD_N(  'bdy_vel3d_u' ,  24   , 'vozocrtx' , .false. , .false. ,   'yearly'  , ''       , ''        )
-            bn_v3d     = FLD_N(  'bdy_vel3d_v' ,  24   , 'vomecrty' , .false. , .false. ,   'yearly'  , ''       , ''        )
-            bn_tem     = FLD_N(  'bdy_tem'     ,  24   , 'votemper' , .false. , .false. ,   'yearly'  , ''       , ''        )
-            bn_sal     = FLD_N(  'bdy_sal'     ,  24   , 'vosaline' , .false. , .false. ,   'yearly'  , ''       , ''        )
-#if defined key_lim2
-            bn_frld    = FLD_N(  'bdy_frld'    ,  24   , 'ildsconc' , .false. , .false. ,   'yearly'  , ''       , ''        )
-            bn_hicif   = FLD_N(  'bdy_hicif'   ,  24   , 'iicethic' , .false. , .false. ,   'yearly'  , ''       , ''        )
-            bn_hsnif   = FLD_N(  'bdy_hsnif'   ,  24   , 'isnothic' , .false. , .false. ,   'yearly'  , ''       , ''        )
-#endif
-
-            ! Important NOT to rewind here.
-            READ( numnam, nambdy_dta )
+
+            READ  ( numnam_ref, nambdy_dta, IOSTAT = ios, ERR = 901)
+901         IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy_dta in reference namelist', lwp )
+
+            READ  ( numnam_cfg, nambdy_dta, IOSTAT = ios, ERR = 902 )
+902         IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy_dta in configuration namelist', lwp )
+            WRITE ( numond, nambdy_dta )
 
             cn_dir_array(ib_bdy) = cn_dir
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 4147)
@@ -102,5 +102,5 @@
       !!
       NAMELIST/nambdy_index/ ctypebdy, nbdyind, nbdybeg, nbdyend
-
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
 
@@ -119,32 +119,16 @@
       cgrid= (/'t','u','v'/)
       
-      ! -----------------------------------------
-      ! Initialise and read namelist parameters
-      ! -----------------------------------------
-
-      nb_bdy            = 0
-      ln_coords_file(:) = .false.
-      cn_coords_file(:) = ''
-      ln_mask_file      = .false.
-      cn_mask_file(:)   = ''
-      nn_dyn2d(:)       = 0
-      nn_dyn2d_dta(:)   = -1  ! uninitialised flag
-      nn_dyn3d(:)       = 0
-      nn_dyn3d_dta(:)   = -1  ! uninitialised flag
-      nn_tra(:)         = 0
-      nn_tra_dta(:)     = -1  ! uninitialised flag
-      ln_tra_dmp(:)     = .false.
-      ln_dyn3d_dmp(:)   = .false.
-      rn_time_dmp(:)    = 1.
-#if defined key_lim2
-      nn_ice_lim2(:)    = 0
-      nn_ice_lim2_dta(:)= -1  ! uninitialised flag
-#endif
-      ln_vol            = .false.
-      nn_volctl         = -1  ! uninitialised flag
-      nn_rimwidth(:)    = -1  ! uninitialised flag
-
-      REWIND( numnam )                    
-      READ  ( numnam, nambdy )
+      ! ------------------------
+      ! Read namelist parameters
+      ! ------------------------
+
+      REWIND( numnam_ref )              ! Namelist nambdy in reference namelist :Unstructured open boundaries  
+      READ  ( numnam_ref, nambdy, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist nambdy in configuration namelist :Unstructured open boundaries
+      READ  ( numnam_cfg, nambdy, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy in configuration namelist', lwp )
+      WRITE ( numond, nambdy )
 
       ! -----------------------------------------
@@ -301,5 +285,9 @@
       ! Work out global dimensions of boundary data
       ! ---------------------------------------------
-      REWIND( numnam )                    
+      REWIND( numnam_cfg )     
+
+      !!----------------------------------------------------------------------
+
+              
                
       nblendta(:,:) = 0
@@ -319,5 +307,13 @@
             icount = icount + 1
             ! No REWIND here because may need to read more than one nambdy_index namelist.
-            READ  ( numnam, nambdy_index )
+            ! Read only namelist_cfg to avoid unseccessfull overwrite
+!!          REWIND( numnam_ref )              ! Namelist nambdy_index in reference namelist : Open boundaries indexes
+!!          READ  ( numnam_ref, namrun, IOSTAT = ios, ERR = 903)
+!!903       IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy_index in reference namelist', lwp )
+
+!!          REWIND( numnam_cfg )              ! Namelist nambdy_index in configuration namelist : Open boundaries indexes
+            READ  ( numnam_cfg, nambdy_index, IOSTAT = ios, ERR = 904 )
+904         IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy_index in configuration namelist', lwp )
+            WRITE ( numond, nambdy_index )
 
             SELECT CASE ( TRIM(ctypebdy) )
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 4147)
@@ -76,4 +76,5 @@
       INTEGER, DIMENSION(3)                     ::   ilen0       !: length of boundary data (from OBC arrays)
       INTEGER, POINTER, DIMENSION(:)            ::   nblen, nblenrim     ! short cuts
+      INTEGER                                   ::   ios                 ! Local integer output status for namelist read
       CHARACTER(len=80)                         ::   clfile              !: full file name for tidal input file 
       REAL(wp),ALLOCATABLE, DIMENSION(:,:,:)    ::   dta_read            !: work space to read in tidal harmonics data
@@ -93,8 +94,6 @@
       ENDIF
 
-      ln_bdytide_2ddta = .FALSE.
-      ln_bdytide_conj  = .FALSE.
-
-      REWIND(numnam)
+      REWIND(numnam_cfg)
+
       DO ib_bdy = 1, nb_bdy
          IF( nn_dyn2d_dta(ib_bdy) .ge. 2 ) THEN
@@ -107,6 +106,10 @@
             filtide(:) = ''
 
-            ! Don't REWIND here - may need to read more than one of these namelists.
-            READ  ( numnam, nambdy_tide )
+            ! Don't REWIND here - may need to read more than one of these namelists. 
+            READ  ( numnam_ref, nambdy_tide, IOSTAT = ios, ERR = 901)
+901         IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy_tide in reference namelist', lwp )
+            READ  ( numnam_cfg, nambdy_tide, IOSTAT = ios, ERR = 902 )
+902         IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy_tide in configuration namelist', lwp )
+            WRITE ( numond, nambdy_tide )
             !                                               ! Parameter control and print
             IF(lwp) WRITE(numout,*) '  '
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 4147)
@@ -66,7 +66,7 @@
 
   !! * Module variables
-  INTEGER :: nn_dct      = 1     ! Frequency of computation
-  INTEGER :: nn_dctwri   = 1     ! Frequency of output
-  INTEGER :: nn_secdebug = 0     ! Number of the section to debug
+  INTEGER :: nn_dct        ! Frequency of computation
+  INTEGER :: nn_dctwri     ! Frequency of output
+  INTEGER :: nn_secdebug   ! Number of the section to debug
    
   INTEGER, PARAMETER :: nb_class_max  = 10
@@ -139,10 +139,16 @@
      !!---------------------------------------------------------------------
      NAMELIST/namdct/nn_dct,nn_dctwri,nn_secdebug
+     INTEGER  ::   ios                 ! Local integer output status for namelist read
 
      IF( nn_timing == 1 )   CALL timing_start('dia_dct_init')
 
-     !read namelist
-     REWIND( numnam )
-     READ  ( numnam, namdct )
+     REWIND( numnam_ref )              ! Namelist namdct in reference namelist : Diagnostic: transport through sections
+     READ  ( numnam_ref, namdct, IOSTAT = ios, ERR = 901)
+901  IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdct in reference namelist', lwp )
+
+     REWIND( numnam_cfg )              ! Namelist namdct in configuration namelist : Diagnostic: transport through sections
+     READ  ( numnam_cfg, namdct, IOSTAT = ios, ERR = 902 )
+902  IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdct in configuration namelist', lwp )
+     WRITE ( numond, namdct )
 
      IF( lwp ) THEN
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diafwb.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diafwb.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diafwb.F90	(revision 4147)
@@ -8,7 +8,8 @@
    !!            9.0  !  05-11  (V. Garnier) Surface pressure gradient organization
    !!----------------------------------------------------------------------
-#if (  defined key_orca_r1 || defined key_orca_r2 || defined  key_orca_r4 ) && ! defined key_coupled
-   !!----------------------------------------------------------------------
-   !!   "key_orca_r1 or 2 or 4"
+#if ! defined key_coupled
+ 
+   !!----------------------------------------------------------------------
+   !!   Only for ORCA2 ORCA1 and ORCA025
    !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
@@ -61,4 +62,5 @@
       REAL(wp) ::  zt, zs, zu  
       REAL(wp) ::  zsm0, zfwfnew
+      IF( cp_cfg == "orca" .AND. jp_cfg == 1 .OR. jp_cfg == 2 .OR. jp_cfg == 4 ) THEN
       !!----------------------------------------------------------------------
       IF( nn_timing == 1 )   CALL timing_start('dia_fwb')
@@ -446,4 +448,6 @@
  9020 FORMAT(1X,A,F10.5,A)
  9030 FORMAT(1X,A,F9.4,A)
+  
+      ENDIF 
 
    END SUBROUTINE dia_fwb
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90	(revision 4147)
@@ -31,7 +31,7 @@
 
    INTEGER ::                            & !! namelist variables
-                         nit000_han = 1, & ! First time step used for harmonic analysis
-                         nitend_han = 1, & ! Last time step used for harmonic analysis
-                         nstep_han  = 1, & ! Time step frequency for harmonic analysis
+                         nit000_han    , & ! First time step used for harmonic analysis
+                         nitend_han    , & ! Last time step used for harmonic analysis
+                         nstep_han     , & ! Time step frequency for harmonic analysis
                          nb_ana            ! Number of harmonics to analyse
 
@@ -78,4 +78,5 @@
       !! * Local declarations 
       INTEGER :: jh, nhan, jk, ji
+      INTEGER ::   ios                 ! Local integer output status for namelist read
 
       NAMELIST/nam_diaharm/ nit000_han, nitend_han, nstep_han, tname
@@ -90,9 +91,12 @@
       CALL tide_init_Wave
       !
-      tname(:)=''
-      !
-      ! Read Namelist nam_diaharm
-      REWIND ( numnam )
-      READ   ( numnam, nam_diaharm )
+      REWIND( numnam_ref )              ! Namelist nam_diaharm in reference namelist : Tidal harmonic analysis
+      READ  ( numnam_ref, nam_diaharm, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_diaharm in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist nam_diaharm in configuration namelist : Tidal harmonic analysis
+      READ  ( numnam_cfg, nam_diaharm, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_diaharm in configuration namelist', lwp )
+      WRITE ( numond, nam_diaharm )
       !
       IF(lwp) THEN
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90	(revision 4147)
@@ -28,5 +28,5 @@
    PUBLIC   dia_hsb_init   ! routine called by opa.F90
 
-   LOGICAL, PUBLIC ::   ln_diahsb  = .FALSE.   !: check the heat and salt budgets
+   LOGICAL, PUBLIC ::   ln_diahsb   !: check the heat and salt budgets
 
    INTEGER                                 ::   numhsb                           !
@@ -163,10 +163,17 @@
       INTEGER            ::   jk       ! dummy loop indice
       INTEGER            ::   ierror   ! local integer
+      INTEGER            ::   ios      ! Local integer output status for namelist read
       !!
       NAMELIST/namhsb/ ln_diahsb
       !!----------------------------------------------------------------------
       !
-      REWIND ( numnam )              ! Read Namelist namhsb 
-      READ   ( numnam, namhsb )
+      REWIND( numnam_ref )              ! Namelist namhsb in reference namelist : Heat & salt budget
+      READ  ( numnam_ref, namhsb, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namhsb in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namhsb in configuration namelist : Heat & salt budget
+      READ  ( numnam_cfg, namhsb, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namhsb in configuration namelist', lwp )
+      WRITE ( numond, namhsb )
       !
       IF(lwp) THEN                   ! Control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90	(revision 4147)
@@ -44,11 +44,11 @@
    PUBLIC   ptr_vjk        ! call by tra_ldf & tra_adv routines
 
-   !                                           !!** namelist  namptr  **
-   LOGICAL , PUBLIC ::   ln_diaptr  = .FALSE.   !: Poleward transport flag (T) or not (F)
-   LOGICAL , PUBLIC ::   ln_subbas  = .FALSE.   !: Atlantic/Pacific/Indian basins calculation
-   LOGICAL , PUBLIC ::   ln_diaznl  = .FALSE.   !: Add zonal means and meridional stream functions
-   LOGICAL , PUBLIC ::   ln_ptrcomp = .FALSE.   !: Add decomposition : overturning (and gyre, soon ...)
-   INTEGER , PUBLIC ::   nn_fptr    = 15        !: frequency of ptr computation  [time step]
-   INTEGER , PUBLIC ::   nn_fwri    = 15        !: frequency of ptr outputs      [time step]
+   !                                  !!** namelist  namptr  **
+   LOGICAL , PUBLIC ::   ln_diaptr     !: Poleward transport flag (T) or not (F)
+   LOGICAL , PUBLIC ::   ln_subbas     !: Atlantic/Pacific/Indian basins calculation
+   LOGICAL , PUBLIC ::   ln_diaznl     !: Add zonal means and meridional stream functions
+   LOGICAL , PUBLIC ::   ln_ptrcomp    !: Add decomposition : overturning (and gyre, soon ...)
+   INTEGER , PUBLIC ::   nn_fptr       !: frequency of ptr computation  [time step]
+   INTEGER , PUBLIC ::   nn_fwri       !: frequency of ptr outputs      [time step]
 
    REAL(wp), ALLOCATABLE, SAVE, PUBLIC, DIMENSION(:) ::   htr_adv, htr_ldf, htr_ove   !: Heat TRansports (adv, diff, overturn.)
@@ -449,4 +449,5 @@
       INTEGER ::   jn           ! dummy loop indices 
       INTEGER ::   inum, ierr   ! local integers
+      INTEGER ::   ios          ! Local integer output status for namelist read
 #if defined key_mpp_mpi
       INTEGER, DIMENSION(1) :: iglo, iloc, iabsf, iabsl, ihals, ihale, idid
@@ -456,6 +457,12 @@
       !!----------------------------------------------------------------------
 
-      REWIND( numnam )                 ! Read Namelist namptr : poleward transport parameters
-      READ  ( numnam, namptr )
+      REWIND( numnam_ref )              ! Namelist namptr in reference namelist : Poleward transport
+      READ  ( numnam_ref, namptr, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namptr in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namptr in configuration namelist : Poleward transport
+      READ  ( numnam_cfg, namptr, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namptr in configuration namelist', lwp )
+      WRITE ( numond, namptr )
 
       IF(lwp) THEN                     ! Control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 4147)
@@ -28,18 +28,52 @@
    !! time & space domain namelist
    !! ----------------------------
-   !                                              !!* Namelist namdom : time & space domain *
-   INTEGER , PUBLIC ::   nn_bathy     =    0       !: = 0/1 ,compute/read the bathymetry file
-   REAL(wp), PUBLIC ::   rn_hmin      =   -3.0_wp  !: minimum ocean depth (>0) or minimum number of ocean levels (<0)
-   REAL(wp), PUBLIC ::   rn_e3zps_min =    5.0_wp  !: miminum thickness for partial steps (meters)
-   REAL(wp), PUBLIC ::   rn_e3zps_rat =    0.1_wp  !: minimum thickness ration for partial steps
-   INTEGER , PUBLIC ::   nn_msh       =    0       !: = 1 create a mesh-mask file
-   INTEGER , PUBLIC ::   nn_acc       =    0       !: = 0/1 use of the acceleration of convergence technique
-   REAL(wp), PUBLIC ::   rn_atfp      =    0.1_wp  !: asselin time filter parameter
-   REAL(wp), PUBLIC ::   rn_rdt       = 3600._wp   !: time step for the dynamics (and tracer if nacc=0)
-   REAL(wp), PUBLIC ::   rn_rdtmin    = 3600._wp   !: minimum time step on tracers
-   REAL(wp), PUBLIC ::   rn_rdtmax    = 3600._wp   !: maximum time step on tracers
-   REAL(wp), PUBLIC ::   rn_rdth      =  800._wp   !: depth variation of tracer step
-   INTEGER , PUBLIC ::   nn_baro      =   64       !: number of barotropic time steps (key_dynspg_ts)
-   INTEGER , PUBLIC ::   nn_closea    =    0       !: =0 suppress closed sea/lake from the ORCA domain or not (=1)
+   !                                    !!* Namelist namdom : time & space domain *
+   INTEGER , PUBLIC ::   nn_bathy        !: = 0/1 ,compute/read the bathymetry file
+   REAL(wp), PUBLIC ::   rn_hmin         !: minimum ocean depth (>0) or minimum number of ocean levels (<0)
+   REAL(wp), PUBLIC ::   rn_e3zps_min    !: miminum thickness for partial steps (meters)
+   REAL(wp), PUBLIC ::   rn_e3zps_rat    !: minimum thickness ration for partial steps
+   INTEGER , PUBLIC ::   nn_msh          !: = 1 create a mesh-mask file
+   INTEGER , PUBLIC ::   nn_acc          !: = 0/1 use of the acceleration of convergence technique
+   REAL(wp), PUBLIC ::   rn_atfp         !: asselin time filter parameter
+   REAL(wp), PUBLIC ::   rn_rdt          !: time step for the dynamics (and tracer if nacc=0)
+   REAL(wp), PUBLIC ::   rn_rdtmin       !: minimum time step on tracers
+   REAL(wp), PUBLIC ::   rn_rdtmax       !: maximum time step on tracers
+   REAL(wp), PUBLIC ::   rn_rdth         !: depth variation of tracer step
+   INTEGER , PUBLIC ::   nn_baro         !: number of barotropic time steps (key_dynspg_ts)
+   INTEGER , PUBLIC ::   nn_closea       !: =0 suppress closed sea/lake from the ORCA domain or not (=1)
+   !! Horizontal grid parameters for domhgr
+   !! =====================================
+   INTEGER       ::   jphgr_msh        !: type of horizontal mesh
+   !                                       !  = 0 curvilinear coordinate on the sphere read in coordinate.nc
+   !                                       !  = 1 geographical mesh on the sphere with regular grid-spacing
+   !                                       !  = 2 f-plane with regular grid-spacing
+   !                                       !  = 3 beta-plane with regular grid-spacing
+   !                                       !  = 4 Mercator grid with T/U point at the equator
+
+   REAL(wp)      ::   ppglam0              !: longitude of first raw and column T-point (jphgr_msh = 1)
+   REAL(wp)      ::   ppgphi0              !: latitude  of first raw and column T-point (jphgr_msh = 1)
+   !                                                        !  used for Coriolis & Beta parameters (jphgr_msh = 2 or 3)
+   REAL(wp)      ::   ppe1_deg             !: zonal      grid-spacing (degrees)
+   REAL(wp)      ::   ppe2_deg             !: meridional grid-spacing (degrees)
+   REAL(wp)      ::   ppe1_m               !: zonal      grid-spacing (degrees)
+   REAL(wp)      ::   ppe2_m               !: meridional grid-spacing (degrees)
+
+   !! Vertical grid parameter for domzgr
+   !! ==================================
+   REAL(wp)      ::   ppsur                !: ORCA r4, r2 and r05 coefficients
+   REAL(wp)      ::   ppa0                 !: (default coefficients)
+   REAL(wp)      ::   ppa1                 !:
+   REAL(wp)      ::   ppkth                !:
+   REAL(wp)      ::   ppacr                !:
+   !
+   !  If both ppa0 ppa1 and ppsur are specified to 0, then
+   !  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+   REAL(wp)      ::   ppdzmin              !: Minimum vertical spacing
+   REAL(wp)      ::   pphmax               !: Maximum depth
+   !
+   LOGICAL       ::   ldbletanh            !: Use/do not use double tanf function for vertical coordinates
+   REAL(wp)      ::   ppa2                 !: Double tanh function parameters
+   REAL(wp)      ::   ppkth2               !:
+   REAL(wp)      ::   ppacr2               !:
 
    !                                    !! old non-DOCTOR names still used in the model
@@ -62,5 +96,5 @@
 
    !                                         !!* Namelist namcla : cross land advection
-   INTEGER, PUBLIC ::   nn_cla = 0            !: =1 cross land advection for exchanges through some straits (ORCA2)
+   INTEGER, PUBLIC ::   nn_cla               !: =1 cross land advection for exchanges through some straits (ORCA2)
 
    !!----------------------------------------------------------------------
@@ -72,6 +106,4 @@
    LOGICAL, PUBLIC ::   lzoom_s    =  .FALSE.   !: South zoom type flag
    LOGICAL, PUBLIC ::   lzoom_n    =  .FALSE.   !: North zoom type flag
-   LOGICAL, PUBLIC ::   lzoom_arct =  .FALSE.   !: ORCA    arctic zoom flag
-   LOGICAL, PUBLIC ::   lzoom_anta =  .FALSE.   !: ORCA antarctic zoom flag
 
    !                                     !!! domain parameters linked to mpp
@@ -100,7 +132,7 @@
    INTEGER, PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   mig        !: local  ==> global domain i-index
    INTEGER, PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   mjg        !: local  ==> global domain j-index
-   INTEGER, PUBLIC,               DIMENSION(jpidta) ::   mi0, mi1   !: global ==> local  domain i-index    !!bug ==> other solution?
+   INTEGER, PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   mi0, mi1   !: global ==> local  domain i-index    !!bug ==> other solution?
    !                                                  ! (mi0=1 and mi1=0 if the global index is not in the local domain)
-   INTEGER, PUBLIC,               DIMENSION(jpjdta) ::   mj0, mj1   !: global ==> local  domain j-index     !!bug ==> other solution?
+   INTEGER, PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   mj0, mj1   !: global ==> local  domain j-index     !!bug ==> other solution?
    !                                                  ! (mi0=1 and mi1=0 if the global index is not in the local domain)
    INTEGER, PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   nimppt, njmppt   !: i-, j-indexes for each processor
@@ -127,8 +159,8 @@
    !! vertical coordinate and scale factors
    !! ---------------------------------------------------------------------
-   !                                           !!* Namelist namzgr : vertical coordinate *
-   LOGICAL, PUBLIC ::   ln_zco     =  .TRUE.    !: z-coordinate - full step
-   LOGICAL, PUBLIC ::   ln_zps     =  .FALSE.   !: z-coordinate - partial step
-   LOGICAL, PUBLIC ::   ln_sco     =  .FALSE.   !: s-coordinate or hybrid z-s coordinate
+   !                                 !!* Namelist namzgr : vertical coordinate *
+   LOGICAL, PUBLIC ::   ln_zco        !: z-coordinate - full step
+   LOGICAL, PUBLIC ::   ln_zps        !: z-coordinate - partial step
+   LOGICAL, PUBLIC ::   ln_sco        !: s-coordinate or hybrid z-s coordinate
 
    !! All coordinates
@@ -195,5 +227,5 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) :: tmask, umask, vmask, fmask   !: land/ocean mask at T-, U-, V- and F-pts
 
-   REAL(wp), PUBLIC, DIMENSION(jpiglo) ::   tpol, fpol          !: north fold mask (jperio= 3 or 4)
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   tpol, fpol          !: north fold mask (jperio= 3 or 4)
 
 #if defined key_noslip_accurate
@@ -272,5 +304,7 @@
       ALLOCATE( nimppt(jpnij) , ibonit(jpnij) , nlcit(jpnij) , nlcjt(jpnij) ,     &
          &      njmppt(jpnij) , ibonjt(jpnij) , nldit(jpnij) , nldjt(jpnij) ,     &
-         &                                      nleit(jpnij) , nlejt(jpnij) , STAT=ierr(2) )
+         &                                      nleit(jpnij) , nlejt(jpnij) ,     &
+         &      mi0(jpidta)   , mi1 (jpidta),  mj0(jpjdta)   , mj1 (jpjdta),      &
+         &      tpol(jpiglo)  , fpol(jpiglo)                               , STAT=ierr(2) )
          !
       ALLOCATE( glamt(jpi,jpj) , gphit(jpi,jpj) , e1t(jpi,jpj) , e2t(jpi,jpj) ,                      & 
